commit:     6a6648ef66da903c3671e68dfd4acaeddbba4e81
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Thu Aug 25 19:03:23 2022 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Thu Aug 25 19:03:23 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6a6648ef

dev-python/pyudev: add 0.24.0

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-python/pyudev/Manifest             |  1 +
 dev-python/pyudev/pyudev-0.24.0.ebuild | 53 ++++++++++++++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/dev-python/pyudev/Manifest b/dev-python/pyudev/Manifest
index f46ebf3efe12..7fba0cc27350 100644
--- a/dev-python/pyudev/Manifest
+++ b/dev-python/pyudev/Manifest
@@ -1 +1,2 @@
 DIST pyudev-0.23.2.tar.gz 87199 BLAKE2B 
0ce4300296f4fcc3a56ba4100d3ebe7734330b3096fde59475fe9880758a3279324c4c3df883b22d1ec9f4e0cfa83fc7c25fbe54ed03a5e019567595deb21211
 SHA512 
40b947d363dca73789f5ab77cbda4b48349e28fe04f2f5cafb93d20799d842ebeb2b7d78d1f16dcbcaac5c20aff1b931b372c75852706e731337e6e1d30b8538
+DIST pyudev-0.24.0.tar.gz 85887 BLAKE2B 
82f23a1bbcd8ce5dd9e6f0551d967e7209067541185410668944734a5f0e17a907d6143cee81decb868d64cf8a0fe642dba7dc600f5ae3f03d9487f882d0aef3
 SHA512 
c711053a58cd857aff9e1df116ff11cfc17426d9f5a092810403150bec36239213a87b428bc31ec862b75b64a027f2d21081e15f76d914b67a9ddf39b0b73379

diff --git a/dev-python/pyudev/pyudev-0.24.0.ebuild 
b/dev-python/pyudev/pyudev-0.24.0.ebuild
new file mode 100644
index 000000000000..adac95d67480
--- /dev/null
+++ b/dev-python/pyudev/pyudev-0.24.0.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} )
+inherit distutils-r1 optfeature
+
+DESCRIPTION="Python binding to libudev"
+HOMEPAGE="https://pyudev.readthedocs.io/en/latest/ 
https://github.com/pyudev/pyudev";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="qt5"
+
+# Known to fail on test system that aren't exactly the same devices as on CI
+RESTRICT="test"
+
+RDEPEND="virtual/udev"
+BDEPEND="
+       test? (
+               dev-python/docutils[${PYTHON_USEDEP}]
+               dev-python/hypothesis[${PYTHON_USEDEP}]
+       )
+"
+
+DOCS=( CHANGES.rst README.rst )
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+       if use test; then
+               ewarn "If your PORTAGE_TMPDIR is longer in length then 
'/var/tmp/',"
+               ewarn "change it to /var/tmp to ensure tests will pass."
+       fi
+
+       # tests are known to pass then fail on alternate runs
+       # tests: fix run_path
+       sed -e "s|== \('/run/udev'\)|in (\1,'/dev/.udev')|g" \
+               -i tests/test_core.py || die
+
+       # disable usage of hypothesis timeouts (too short)
+       sed -e '/@settings/s/(/(deadline=None,/' -i tests{,/_device_tests}/*.py 
|| die
+
+       distutils-r1_python_prepare_all
+}
+
+pkg_postinst() {
+       optfeature "PyQt5 bindings" "dev-python/PyQt5"
+}

Reply via email to